Subject: RE: [Mip6] about DSMIPv6

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Wed, 22 Mar 2006 08:17:22 +0100

Hi Koshiro:

In the nemo doors draft, which is one of the source drafts for this
effort, the CoA was also a mapped address but of a slightly different
kind:

1) it is inherited from 6to4 and is actually routable. This is designed
to enable deployments in an IPv6 dominant world, where IPv4 does not
reach the HA and a GW is placed at the IPv4/v6 border.
2) it contains not only the IPv4 source address but also the destination
and the pair of ports. This is designed to enable NAT detection on both
ends of the IPv4 network.

Because of point 2) we are still discussing that format in order to
avoid configuration in the HA. From your mail, it seems that there is
some validity in point 1) as well.

Pascal

>-----Original Message-----
>From: Koshiro MITSUYA [mailto:[email-masked]]
>Sent: Monday, March 20, 2006 9:51 PM
>To: Soliman, Hesham
>Cc: Francis Dupont; Hesham Soliman; Koshiro MITSUYA; [email-masked]
>Subject: Re: [Mip6] about DSMIPv6
>
>Hi Hesham,
>
>I am not sure whether it's just an implementation issues.  But putting
>the mapped address in the address list in order to process the DSMIP
>IPv6 header means the mapped address may be chosen as a source address
>even the address is actually not routable.  To avoid this, we need
>e.g. an additional flag to distinguish the mapped address from others.
>I think some implementers will not accept this.
>
>The above is not only the reason again the mapped address in the IPv6
>header.  Please refer the draft-*-harmful.  So, my idea is to put HoA
>in IPv6 header and kind of IPv4 CoA option to idicate it's IPv4 CoA.
>
>BTW, if you just want to keep the packer format, I think it's better
>to use compatible address, or 6to4 address, or newly-defined address
>for this purpose.
>
>regards,
>Koshiro
>
>
>At Mon, 20 Mar 2006 12:19:36 -0800,
>Soliman, Hesham wrote:
>>
>>
>>  > I've implemented v4traversal-00 draft.
>>  >
>>  > I agree Francis, the IPv4 mapped address has a special meaning by
RFC
>>  > 2553 API.  It is not preferable to use the mapped address in IPv6
>>  > headers (See the following the drafts)
>>  > 	draft-itojun-v6ops-v4mapped-harmful
>>  > 	draft-cmetz-v6ops-v4mapped-api-harmful
>>  >
>>  > In our code based on KAME, the IPv6 implementation discard a IPv6
>>  > header which has the v4 mapped address for sanity at ip6_input()
and
>>  > ip6_rthadr2().  We also need to add the mapped address in an
address
>>  > list (the list of all addresses which the node has) to receive the
>>  > header.  This is somehow uncomfortable because the mapped address
is
>>  > actually not routable.
>>
>> => No one suggested that it should/would be routable. It's simply
>> used to keep the packet format. There is no routing based on this
>> information.
>
>_______________________________________________
>Mip6 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Soliman, Hesham" <[email-masked]>
Date: Wed, 22 Mar 2006 08:49:28 -0800

Hi Koshiro:

Pascal

RFC
and
address
is